import type { DevType } from '@/api/device/interface/devType'
import http from '@/api'

/**
 * @name 设备类型管理模块
 */

//获取设备类型
export const getDevTypeList = (params: DevType.ReqPqDevTypeParams) => {
  return http.post(`/devType/list`, params)
}

//添加设备类型
export const addDevType = (params: DevType.ResPqDevType) => {
    return http.post(`/devType/add`, params)
  }
  
  //编辑设备类型
  export const updateDevType = (params: DevType.ResPqDevType) => {
    return http.post(`/devType/update`, params)
  }
  
  //删除设备类型
  export const deleteDevType = (params: string[]) => {
    return http.post(`/devType/delete`, params)
  }



